Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 836077

Summary: media-sound/fmit: uses variables banned in scope (VariableScope)
Product: Gentoo Linux Reporter: Sam James <sam>
Component: Current packagesAssignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it <maintainer-needed>
Status: RESOLVED FIXED    
Severity: normal Keywords: PullRequest
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: All   
See Also: https://github.com/gentoo/gentoo/pull/26595
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 775191    

Description Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-03-26 03:39:56 UTC
This package uses variables banned in some scopes. This may stop working in future versions of Portage.

$ pkgcheck scan -k VariableScope media-sound/fmit
media-sound/fmit
  VariableScope: version 1.0.15-r3: variable 'D' used in 'src_configure', lines 56, 57
Comment 1 Larry the Git Cow gentoo-dev 2022-07-27 08:43:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1a80e3ed1357abc0928a1f0dd143bd6f0366ec1

commit d1a80e3ed1357abc0928a1f0dd143bd6f0366ec1
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2022-07-25 18:02:20 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2022-07-27 08:43:18 +0000

    media-sound/fmit: Drop usage of 'D' in src_configure
    
    Closes: https://bugs.gentoo.org/836077
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-sound/fmit/fmit-1.0.15-r3.ebuild | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)